petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLayoutGetLocalSize

Gets the local size for a PetscLayout object.

### Synopsis

    #include "petscis.h"
    #undef __FUNCT__
    #define __FUNCT__ "PetscLayoutGetLocalSize"
    PetscErrorCode  PetscLayoutGetLocalSize(PetscLayout map,PetscInt *n)

Not Collective Many br

### Input Parameters

map -pointer to the map Many br

### Output Parameters

n -the local size Many br

Many br

### Notes

Call this after the call to PetscLayoutSetUp() Many br

### Fortran Notes

Not available from Fortran Many br

### See Also

PetscLayoutCreate(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayoutSetUp()
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize() Many br

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages